Name:		haveged
Version:	1.7c
Release:	%mkrel 5
Summary:	A simple entropy daemon
Group:		Text tools
License:	GPLv3+
URL:		http://www.issihosts.com/haveged/
Source0:	http://www.issihosts.com/haveged/haveged-%{version}.tar.gz
Patch0:         haveged-1.7c-makefile-system.patch
BuildRequires:	pkgconfig(systemd)

Requires(post):		rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1

%description
The haveged project is an attempt to provide an easy-to-use, unpredictable
random number generator based upon an adaptation of the HAVEGE algorithm.
Haveged was created to remedy low-entropy conditions in the Linux random
device that can occur under some workloads, especially on headless servers.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x --disable-static --disable-shared --enable-init=service.fedora
%make

%check
%__make check

%install
%{make_install}

rm -f %{buildroot}%{_includedir}/haveged/havege.h \
      %{buildroot}%{_libdir}/libhavege.a \
      %{buildroot}%{_libdir}/libhavege.la \
      %{buildroot}%{_mandir}/man3/libhavege.3

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%{_unitdir}/haveged.service
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 1.7c-5.mga6
+ Revision: 954363
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7c-4.mga5
+ Revision: 746187
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7c-3.mga5
+ Revision: 680087
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.7c-2.mga4
+ Revision: 536696
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 boklm <boklm> 1.7c-1.mga4
+ Revision: 485378
- update to version 1.7c
- remove init script
- use upstream systemd service file
- add makefile patch to correctly install systemd service file

* Sat Jan 12 2013 umeabot <umeabot> 1.5-2.mga3
+ Revision: 353116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 17 2012 fedya <fedya> 1.5-1.mga3
+ Revision: 281785
- version update 1.5

* Sat Apr 28 2012 tmb <tmb> 1.4-3.mga2
+ Revision: 233726
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sun Apr 22 2012 guillomovitch <guillomovitch> 1.4-2.mga2
+ Revision: 232623
- systemd support
- spec cleanup

* Wed Mar 07 2012 boklm <boklm> 1.4-1.mga2
+ Revision: 221193
- imported package haveged

